Last updated

API / geotoolkit / map / sources / Tile / Tile

Class: Tile

sources.Tile.Tile

Tile source that allows user to get tiles from the server

Hierarchy

Table of contents

Constructors
Methods
Css Properties
Name Type Description
imagepoolnumberThe amount of cache for the tile images
maxlodnumberThe maximum level of details for the tiles
minlodnumberThe minimum level of details for the tiles
systemstringInitial data coordinate system
tileheightnumberHeight for the tiles to use (in px)
tilewidthnumberWidth for the tiles to use (in px)
tokenstringAuthorization token (for ArcGIS tile servers if needed)
urlstringData server url

Contents

Constructors

new Tile(options)

new Tile(options?)

Creates tile source

Parameters

Name Type Description
Optional optionsOptionsoptions

Overrides

AbstractSource.constructor

Methods

clear

clear(): Tile

Clears all the data.

Returns

Tile

this

Inherited from

AbstractSource.clear


dispose

dispose(): void

Disposes this source, once disposed it should not be used anymore.

Returns

void

Inherited from

AbstractSource.dispose


getClassName

getClassName(): string

Returns

string

Inherited from

AbstractSource.getClassName


getCopyright

getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

AbstractSource.getCopyright


getDataLoader

Protected getDataLoader(): AbstractLoader

Returns server data loader (if exists)

Returns

AbstractLoader

Inherited from

AbstractSource.getDataLoader


getInitialCoordinateSystem

getInitialCoordinateSystem(): AbstractSystem

Gets current data initial coordinate system.

Returns

AbstractSystem

Inherited from

AbstractSource.getInitialCoordinateSystem


getMapCoordinateSystem

getMapCoordinateSystem(): AbstractSystem

Gets current map coordinate system.

Returns

AbstractSystem

Inherited from

AbstractSource.getMapCoordinateSystem


getModelLimits

getModelLimits(): Rect

Returns the current data model limits (presumably loaded from the server if it's settled)

Returns

Rect

Inherited from

AbstractSource.getModelLimits


getProperties

getProperties(): OptionsOut

Returns properties

Returns

OptionsOut

options

Overrides

AbstractSource.getProperties


getServerData

getServerData(): JSONObject | XMLDocument

Returns server data loaded from the server Should be used asynchronically after loadServerData() method is called

Returns

JSONObject | XMLDocument

Inherited from

AbstractSource.getServerData


getServerURL

getServerURL(): string | string[]

Gets the server url that is currently used for requests

Returns

string | string[]

server url

Inherited from

AbstractSource.getServerURL


getTransformerFromMap

getTransformerFromMap(): Transformer

Gets transformer to transform data from map coordinate system

Returns

Transformer

Inherited from

AbstractSource.getTransformerFromMap


getTransformerToMap

getTransformerToMap(): Transformer

Gets transformer to transform data to map coordinate system

Returns

Transformer

Inherited from

AbstractSource.getTransformerToMap


hasEventListener

hasEventListener(type, callback?): boolean

Check if a list of event listeners for this type contains this listener

Parameters

Name Type Description
typestringtype of event or property
Optional callbackFunctionto be called, if null, check if any callback is registered

Returns

boolean

Inherited from

AbstractSource.hasEventListener


initLoader

Protected initLoader(loader?): Tile

Initializes the loader provided

Parameters

Name Type Description
Optional loaderAbstractLoaderloader to use

Returns

Tile

this

Inherited from

AbstractSource.initLoader


isDataLoaded

isDataLoaded(): boolean

Returns true if server data is already loaded (or no loader provided)

Returns

boolean

Inherited from

AbstractSource.isDataLoaded


isDataReady

isDataReady(): boolean

Checks if source (current visible) data is loaded and ready to be rendered

Returns

boolean

Inherited from

AbstractSource.isDataReady


isDisposed

isDisposed(): boolean

Returns whether this object has been disposed

Returns

boolean

Inherited from

AbstractSource.isDisposed


isLoading

isLoading(): boolean

Checks if some of the requests haven't been finished yet. Returns true if some data is loading, false otherwise.

Returns

boolean

Inherited from

AbstractSource.isLoading


isSilent

isSilent(): boolean

Return true if the event dispatcher doesn't notify any events

Returns

boolean

Inherited from

AbstractSource.isSilent


loadServerData

loadServerData(): Promise<Tile>

Returns promise that is loaded when server settings are ready to process

Returns

Promise<Tile>

Inherited from

AbstractSource.loadServerData


loadSourceData

loadSourceData(): Promise<AbstractSource>

Returns promise that is resolving when data are ready to process

Returns

Promise<AbstractSource>

Inherited from

AbstractSource.loadSourceData


notify

notify<E>(type, source, args?): Tile

Notify listeners

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEevent types
sourceTileof the event
Optional argsEventMap[E]arguments of the event

Returns

Tile

this

Overrides

AbstractSource.notify


off

off<E>(type?, callback?): Tile

Detach listener on event. Calling .off() with no arguments removes all attached listeners. Calling .off(type) with no callback removes all attached listeners for specific type.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
Optional typeEtype of the event
Optional callback(eventType: E, sender: Tile, args: EventMap[E]) => voidfunction to be called

Returns

Tile

this

Overrides

AbstractSource.off


on

on<E>(type, callback): Tile

Attach listener on event that will be called whenever the specified event is delivered to the target

If the callback function is already in the list of event listeners for this target, the function is not added a second time.

If a particular anonymous function is in the list of event listeners registered for a certain target, and then later in the code, an identical anonymous function is given in an "on" call, the second function will also be added to the list of event listeners for that target.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEtype of event or property
callback(eventType: E, sender: Tile, args: EventMap[E]) => voidto be called

Returns

Tile

this

Overrides

AbstractSource.on


resetLastQueryParams

Protected resetLastQueryParams(): Tile

Resets saved last queried limits and layer

Returns

Tile

this

Inherited from

AbstractSource.resetLastQueryParams


setDataReady

Protected setDataReady(isReady, err?): Tile

Sets source (current visible) data ready/not ready, changes the corresponding promise

Parameters

Name Type Description
isReadybooleantrue if source data was loaded, false if it needs to be reset
Optional errErrordata loading error (if exists)

Returns

Tile

this

Inherited from

AbstractSource.setDataReady


setInitialCoordinateSystem

setInitialCoordinateSystem(system): Tile

Sets the data initial coordinate system.

Parameters

Name Type Description
systemstring | AbstractSysteminitial coordinate system

Returns

Tile

this

Inherited from

AbstractSource.setInitialCoordinateSystem


setMapCoordinateSystem

setMapCoordinateSystem(system): Tile

Sets map coordinate system.

Parameters

Name Type Description
systemstring | AbstractSystemmap coordinate system

Returns

Tile

this

Inherited from

AbstractSource.setMapCoordinateSystem


setProperties

setProperties(properties?): Tile

Sets properties (default properties listed are for construction time only)

Parameters

Name Type Description
Optional propertiesOptionsoptions

Returns

Tile

this

Overrides

AbstractSource.setProperties


setQueryParameter

setQueryParameter(param, value?): Tile

Sets custom query parameter to add to the data requests

Parameters

Name Type Description
paramstring | Record<string, string | number>parameter name or custom parameters object (in name -> value format)
Optional valuestring | numberparameter value

Returns

Tile

this

Inherited from

AbstractSource.setQueryParameter


setServerURL

setServerURL(url): Tile

Sets the server url to use for requesting

Parameters

Name Type Description
urlstring | string[]server url

Returns

Tile

this

Inherited from

AbstractSource.setServerURL


setSilent

setSilent(bool): Tile

Set silent mode

Parameters

Name Type Description
boolbooleanflag to enable silent mode

Returns

Tile

this

Inherited from

AbstractSource.setSilent


update

update(): Tile

Aborts all the sent requests, resends the last one

Returns

Tile

this

Inherited from

AbstractSource.update


getClassName

Static getClassName(): string

Returns

string

Inherited from

AbstractSource.getClassName